curl https://api.numeralhq.com/tax/ping \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-11-01"
{
"status": "ok",
"env": "test",
"timestamp": "2026-03-01T12:00:00.000Z",
"api_version": "2026-11-01"
}
API Reference
Health Check
Authenticated health check endpoint
GET
/
tax
/
ping
curl https://api.numeralhq.com/tax/ping \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-11-01"
{
"status": "ok",
"env": "test",
"timestamp": "2026-03-01T12:00:00.000Z",
"api_version": "2026-11-01"
}
Authenticated health check endpoint that returns status, environment, timestamp, and API version.
Headers
string
required
Bearer token authentication.
string
API version to use. Defaults to
2024-09-01 if not specified.Response
string
Always
ok for successful health checks.string
Environment indicator:
test for testmode keys, prod for production keys.string
Current ISO 8601 timestamp.
string
The API version being used.
curl https://api.numeralhq.com/tax/ping \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-11-01"
{
"status": "ok",
"env": "test",
"timestamp": "2026-03-01T12:00:00.000Z",
"api_version": "2026-11-01"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-11-01